Subject: bug#12352: 24.2.50; Failure to compose characters in mode-line input method indicator

From: Stefan Kangas <[email-masked]>
Date: Thu, 31 Oct 2019 00:08:55 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Kenichi Handa <[email-masked]>
>> Cc: [email-masked]
>> Date: Sat, 22 Sep 2012 13:04:03 +0900
>> 
>> In article <[email-masked]>, Kenichi Handa <[email-masked]> writes:
>> 
>> > I think I tracked down the problem to the function
>> > composition_reseat_it which calls autocmp_chars.  This bug
>> > happens when a Hebrew (or any other R2L script) syllable has
>> > N characters and a font selected for the last character of
>> > the syllable is different from a font selected for the first
>> > character.  But, autocmp_chars was not coded to work on such
>> > a situation.  I'm now trying to find a solution.
>> 
>> I've just installed a fix to the trunk.  Could you please
>> try it?
>
> Thanks, it works now the same in both buffer and mode-line display.  I
> think you can close this bug now.
>
> The last character, HEBREW ACCENT OLE, is still not composed with the
> first two, both in the buffer display and on the mode line.  But I
> understand that this is because that character is taken from a
> different font, and we don't currently support compositions for
> characters that come from different fonts, is that right?  If I use
> the "Keter YG" font for Hebrew, then all 3 of the characters are
> composed.

Hi Eli,

Above you suggest to close the bug, but you also report a different
issue.  Can this bug be closed, or should it stay open?

TIA.

Best regards,
Stefan Kangas